<?php
/**
* Plugin resizeArticleTextarea
*
* @package	PLX
* @version	1.0
* @date	12/11/22
* @author Bronco
**/
class resizeArticleTextarea extends plxPlugin {
		private $defaultHeight;

	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		
		
		# limite l'acces a l'ecran de configuration du plugin
		# PROFIL_ADMIN , PROFIL_MANAGER , PROFIL_MODERATOR , PROFIL_EDITOR , PROFIL_WRITER
		$this->setConfigProfil(PROFIL_ADMIN);
		
		
		$defaultHeight=$this->getParam("defaultHeight");		
		$this->defaultHeight=empty($defaultHeight)||$defaultHeight==''?128:$defaultHeight;

		# Declaration d'un hook (existant ou nouveau)
		$this->addHook('AdminArticleFoot','AdminArticleFoot');

		
	}

	# Activation / desactivation
	public function OnActivate() {
		# code à executer à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	

	########################################
	# HOOKS
	########################################


	########################################
	# AdminArticleFoot
	########################################
	# Description:
	public function AdminArticleFoot(){
		echo '
<script>
	const txHeight = '.$this->defaultHeight.';
	const tx = document.getElementsByTagName("textarea");

	for (let i = 0; i < tx.length; i++) {
	  if (tx[i].value == "") {
	    tx[i].setAttribute("style", "height:" + txHeight + "px;overflow-y:hidden;");
	  } else {
	    tx[i].setAttribute("style", "height:" + (tx[i].scrollHeight) + "px;overflow-y:hidden;");
	  }
	  tx[i].addEventListener("input", OnInput, false);
	}

	function OnInput(e) {
	  this.style.height = 0;
	  this.style.height = (this.scrollHeight) + "px";
	}
</script>
		';
	}

	

}





/* Pense-bete:
 * Récuperer des parametres du fichier parameters.xml
 *	$this->getParam("<nom du parametre>")
 *	$this-> setParam ("param1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 * Accéder à une méthode de plugin depuis un hook sur une page admin
 *  echo '<?php $plxAdmin->plxPlugins->aPlugins["NOMDUPLUGIN"]->METHODE()?>';
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_PLUGINS
 * PLX_CONFIG_PATH
 * PLX_ADMIN (true si on est dans admin)
 * PLX_CHARSET
 * PLX_VERSION
 * PLX_FEED
 *
 * Appel de HOOK dans un thème
 *	eval($plxShow->callHook("ThemeEndHead","param1"))  ou eval($plxShow->callHook("ThemeEndHead",array("param1","param2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","param1"));
 */